休暇設定一覧取得
GET
/holidaySettings
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/holidaySettings';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/timecard/holidaySettings \ --header 'Authorization: Bearer <token>'休暇設定一覧を取得します
対象
- プラン
- プレミアム
- プレミアムプラス
- エンタープライズ、旧有料
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
holidaySettingId
休暇ID
string
name
休暇名
string
halfDayFlag
半休
半日の休暇を設定できるようにするかどうか
0: しない1: する
string
hourlyFlag
時間単位の休暇の利用区分
0: 利用しない1: 利用する
integer
absenceFlag
欠勤扱い
欠勤扱いとするかどうか
0: しない1: する
string
paidHolidayFlag
有給取得
有給を取得するかどうか
0: しない1: する
string
treatAsAttendanceFlag
出勤扱い
有給自動付与時の出勤率の算定において出勤扱いとするかどうか
0: しない1: する
integer
displaySequence
表示順
string
memo
メモ
string
Example
[ { "holidaySettingId": "1", "name": "有給休暇", "halfDayFlag": "1", "hourlyFlag": 1, "absenceFlag": "0", "paidHolidayFlag": "1", "treatAsAttendanceFlag": 1, "displaySequence": "1", "memo": "年次有給休暇" }, { "holidaySettingId": "2", "name": "特別休暇", "halfDayFlag": "1", "hourlyFlag": 0, "absenceFlag": "0", "paidHolidayFlag": "1", "treatAsAttendanceFlag": 1, "displaySequence": "2", "memo": "慶弔休暇等" }, { "holidaySettingId": "3", "name": "欠勤", "halfDayFlag": "0", "hourlyFlag": 0, "absenceFlag": "1", "paidHolidayFlag": "0", "treatAsAttendanceFlag": 0, "displaySequence": "", "memo": "" }]